;**CWC**
;
;Draws casement windows without muntin bars to user input width and height
;width and height may be digitized or input from keyboard
;
;Routine can be used to draw windwos for actual elevations or as a tool to
;rapidly draw a window library
;
(defun C:CWC ()
    (setq CECHO (getvar "cmdecho")
        MECHO (getvar "menuecho")
        ORTMODE (getvar "orthomode")
        SANG (getvar "snapang")
    )
    (setvar "cmdecho" 0)
    (setvar "menuecho" 3)
    (setvar "orthomode" 1)
    (setvar "snapang" 0.0)
;
;**Unremark next statement to use auto layering
;
;    (setq LAY (getvar "clayer"))
    (setq NAME (getstring T "Enter drawing text: ")
;
;**Sets total unit width
;
        UWIDTH(getdist "Unit Width: ")
        UHGT(getdist "Unit Height: ")
;
;**Sets total sash width using 1.25" frame width
;
        SWIDTH(- uwidth 2.5)
        SHGT(- UHGT 2.5)
;**Sets total glass width using 1.75" sash width
        GWIDTH(- UWIDTH 6)
        GHGT(- UHGT 6)
        DIGPNT(getpoint "Start point: ")
        STARTPT (list (- (car DIGPNT) (/ UWIDTH 2.0)) (- (cadr DIGPNT) UHGT))
        PT2(list (car STARTPT) (+ (cadr STARTPT) UHGT))
        PT3(list (+ (car PT2) UWIDTH) (cadr PT2))
        PT4(list (car PT3) (- (cadr PT3) UHGT))
        PT5(list (+ (car STARTPT) 1.25) (+ (cadr STARTPT) 1.25))
        PT6(list (car PT5) (+ (cadr PT5) SHGT))
        PT7(list (+ (car PT6) SWIDTH) (cadr PT6))
        PT8(list (car PT7) (cadr PT5))
        PT9(list (+ (car PT5) 1.75) (+ (cadr PT5) 1.75))
        PT10(list (car PT9) (+ (cadr PT9) GHGT))
        PT11(list (+ (car PT10) GWIDTH) (cadr PT10))
        PT12(list (car PT11) (cadr PT9))
    )
;
;**Unremark next statement to use auto layering using your own layer name
;**where indicated
;
;    (command "layer""s""INSERT YOUR LAYER NAME HERE""")
    (command "line"STARTPT PT2 PT3 PT4 STARTPT"""line"PT5 PT6 PT7 PT8 PT5""
    "line"PT9 PT10 PT11 PT12 PT9"")
    (setq TXTPT (getpoint "Text Location: "))
;
;**Unremark next statement to use auto layering using your own layer name
;**where indicated
;
;    (command "layer""s""INSERT YOUR LAYER NAME HERE""")
    (command "text" "s" "standard" "c" TXTPT "5" pause NAME)
;
;**Uses "STANDARD" textstyle with 5" height and uses "CENTER" justification
;**all of which can be easily changed
;**Unremark next statement to use auto layering
;
;    (command "layer""s"LAY"")
    (setvar "orthomode" ORTMODE)
    (setvar "snapang" SANG)
    (setvar "cmdecho" CECHO)
    (setvar "menuecho" MECHO)
    (prompt "Complete")
    (prin1)
)
;
;**Command statements can be grouped when using auto layering to make routine
;**more economical to load and run
;
;**NOTE variables are global...you may want to change them to local to avoid 
;**interference with other routines...they are global to allow debugging easily
;
;**Feel free to modify as necessary
